<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li class="current"><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_k"><span>k</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_m"><span>m</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_r"><span>r</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li class="current"><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_b"></a>- b -</h3><ul>
<li>batchCount
: <a class="el" href="structtimlCNNTrainingParams.html#a178b8209f9a6050cc54f15da80acdf04">timlCNNTrainingParams</a>
</li>
<li>batchSize
: <a class="el" href="structtimlCNNTrainingParams.html#a92c1f02fac7360a8aa865736f27b684a">timlCNNTrainingParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>channel
: <a class="el" href="structtimlCNNInputParams.html#a4eab5767395e0c043b677bad2bbc4562">timlCNNInputParams</a>
</li>
<li>channelPermute
: <a class="el" href="structtimlCNNInputParams.html#a4ef62950f27f476170744c50d18daade">timlCNNInputParams</a>
</li>
<li>col
: <a class="el" href="structtimlCNNInputParams.html#a86376cd441d9f3a2c1d041282b0ba330">timlCNNInputParams</a>
</li>
<li>connectivity
: <a class="el" href="structtimlCNNConvParams.html#af13df46a47c988639b3c3030f467ec58">timlCNNConvParams</a>
</li>
<li>costType
: <a class="el" href="structtimlCNNTrainingParams.html#a7037ed9b5aa77cb921f21fa338abf26e">timlCNNTrainingParams</a>
</li>
<li>count
: <a class="el" href="structtimlCNNTrainingParams.html#ae54e9bf53e695070047e6fe4711d42e2">timlCNNTrainingParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_d"></a>- d -</h3><ul>
<li>data
: <a class="el" href="structtimlCNNDataSet.html#aedc507e5f143b3e5a925b245ba54cdd3">timlCNNDataSet</a>
</li>
<li>delta
: <a class="el" href="struct__timlCNNLayer__.html#a6efc77ceacdcb3db3160157794e244cd">_timlCNNLayer_</a>
</li>
<li>denom
: <a class="el" href="structtimlCNNNormParams.html#a787885ffb4a611b736875f31f3b42e09">timlCNNNormParams</a>
</li>
<li>dim
: <a class="el" href="structtimlCNNLinearParams.html#acd07cee7c3110f460541e4e1c073176a">timlCNNLinearParams</a>
</li>
<li>dropoutParams
: <a class="el" href="struct__timlCNNLayer__.html#addc500b652e0362ca23e60ff7eb937de">_timlCNNLayer_</a>
</li>
</ul>


<h3><a class="anchor" id="index_e"></a>- e -</h3><ul>
<li>epoch
: <a class="el" href="structtimlCNNTrainingParams.html#a8c02933b3f59a4b7086c9446e0d67297">timlCNNTrainingParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>inputData
: <a class="el" href="structtimlCNNInputParams.html#a8a328c3b7039e84745735ff88e04945f">timlCNNInputParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_k"></a>- k -</h3><ul>
<li>kernel
: <a class="el" href="structtimlCNNConvParams.html#a28cbfb2c818fb5c6a1fe6e70cd0363c1">timlCNNConvParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_l"></a>- l -</h3><ul>
<li>label
: <a class="el" href="structtimlCNNDataSet.html#a0524c58abba3b98c42f252b3229396bf">timlCNNDataSet</a>
</li>
</ul>


<h3><a class="anchor" id="index_m"></a>- m -</h3><ul>
<li>mask
: <a class="el" href="structtimlCNNDropoutParams.html#a0572bfae6e5a9ca14e128f8de5f01e33">timlCNNDropoutParams</a>
</li>
<li>max
: <a class="el" href="structtimlUtilInitializer.html#adeb987a00803c1c7218954618f1f56cc">timlUtilInitializer</a>
</li>
<li>maxIndex
: <a class="el" href="structtimlCNNPoolingParams.html#a2669235835b476d787b0da88a4f8c7fe">timlCNNPoolingParams</a>
</li>
<li>mean
: <a class="el" href="structtimlCNNInputParams.html#a39d74a3a7382c1b82ea64aa4289adbe3">timlCNNInputParams</a>
, <a class="el" href="structtimlUtilImageSet.html#afb9385a310c68071907dea070fcf37e2">timlUtilImageSet</a>
, <a class="el" href="structtimlUtilInitializer.html#a9c842edeeceb0c66a29f08d1fadebce8">timlUtilInitializer</a>
</li>
<li>memPool
: <a class="el" href="struct__timlConvNeuralNetwork__.html#aa1364cc01763023a9442a647cf678dc6">_timlConvNeuralNetwork_</a>
</li>
<li>memPoolSize
: <a class="el" href="struct__timlConvNeuralNetwork__.html#aa5f6181a4aaf4d5241e4bbc923c0fb1f">_timlConvNeuralNetwork_</a>
</li>
<li>min
: <a class="el" href="structtimlUtilInitializer.html#a2771e09d4ead50b451ed38e6cba99150">timlUtilInitializer</a>
</li>
</ul>


<h3><a class="anchor" id="index_n"></a>- n -</h3><ul>
<li>num
: <a class="el" href="structtimlUtilImageSet.html#ade6b3b453d8ae460ff3f83cb3fb2abec">timlUtilImageSet</a>
</li>
</ul>


<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>patchSize
: <a class="el" href="structappCNNSceneDataSet.html#a056a6e767d7d0d43ea1f18d0c5688c9a">appCNNSceneDataSet</a>
</li>
<li>prev
: <a class="el" href="struct__timlCNNLayer__.html#a1c5210fa230c366b390732386064eeb8">_timlCNNLayer_</a>
</li>
<li>prevDim
: <a class="el" href="structtimlCNNLinearParams.html#ae13aaf42aad15b64b3ad50dbf039e2a1">timlCNNLinearParams</a>
</li>
<li>prevFeatureMapReshape
: <a class="el" href="structtimlCNNConvParams.html#a177849440786d4c2f3e1a083e164bc34">timlCNNConvParams</a>
</li>
<li>prevFeatureMapReshapeIndex
: <a class="el" href="structtimlCNNConvParams.html#aa25d829029e1fd35df54c92c1bdc2028">timlCNNConvParams</a>
</li>
<li>prob
: <a class="el" href="structtimlCNNDropoutParams.html#a37847e94544923a1dc888306e0bc9e2e">timlCNNDropoutParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>randomVector
: <a class="el" href="structtimlCNNDropoutParams.html#a068f09910053b13096eac1b382777a16">timlCNNDropoutParams</a>
</li>
<li>row
: <a class="el" href="structtimlCNNInputParams.html#a619d75bbf2e1da75cbfb9033174e13c3">timlCNNInputParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>scaleCol
: <a class="el" href="structtimlCNNPoolingParams.html#a133453423032b3422922d6ad9e9ce681">timlCNNPoolingParams</a>
</li>
<li>scaleRow
: <a class="el" href="structtimlCNNPoolingParams.html#add78009b025b15de78ef69a0ef44d591">timlCNNPoolingParams</a>
</li>
<li>shared
: <a class="el" href="structtimlCNNInputParams.html#a903f1cd3c732a0a9420937bf278ee6d0">timlCNNInputParams</a>
, <a class="el" href="structtimlCNNLinearParams.html#aef1359b54369b95cd21ad069d3109d26">timlCNNLinearParams</a>
</li>
<li>std
: <a class="el" href="structtimlUtilInitializer.html#a37e42634a42df16a5f460b266bce968a">timlUtilInitializer</a>
</li>
<li>strideX
: <a class="el" href="structtimlCNNPoolingParams.html#adeabf9e05e8fce29f0232a8362038224">timlCNNPoolingParams</a>
</li>
<li>strideY
: <a class="el" href="structtimlCNNPoolingParams.html#a27c516ed5dd5692d92f8f31108a55e34">timlCNNPoolingParams</a>
</li>
</ul>


<h3><a class="anchor" id="index_v"></a>- v -</h3><ul>
<li>val
: <a class="el" href="structtimlUtilInitializer.html#aa9fc114a6fbec1070ecf87c3e147dd67">timlUtilInitializer</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:10 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
